<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Port Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPort.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPort-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Port Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="Port_8hpp_source.html">Port.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for Port:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classPort.png" usemap="#Port_map" alt=""/>
  <map id="Port_map" name="Port_map">
<area href="classPortOnePin.html" alt="PortOnePin" shape="rect" coords="0,56,121,80"/>
<area href="classPortServo.html" alt="PortServo" shape="rect" coords="131,56,252,80"/>
<area href="classPortShieldL293d.html" alt="PortShieldL293d" shape="rect" coords="262,56,383,80"/>
<area href="classPortSpeedDirBrake.html" alt="PortSpeedDirBrake" shape="rect" coords="393,56,514,80"/>
<area href="classPortStepper.html" alt="PortStepper" shape="rect" coords="524,56,645,80"/>
<area href="classPortTwoPins.html" alt="PortTwoPins" shape="rect" coords="655,56,776,80"/>
<area href="classPortTwoPinsEnable.html" alt="PortTwoPinsEnable" shape="rect" coords="655,112,776,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2cfb70a4b6d730e715042d646ec1d960"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a> ()</td></tr>
<tr class="separator:a2cfb70a4b6d730e715042d646ec1d960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110847fdec661d0e94a3a22edd9fe32a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a> ()</td></tr>
<tr class="separator:a110847fdec661d0e94a3a22edd9fe32a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101241b7b8e820f3d0da3c435ad1b66e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a> (int inStartingPosition)</td></tr>
<tr class="separator:a101241b7b8e820f3d0da3c435ad1b66e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e8526fed0e88d9f553767ef30860df"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a> () const </td></tr>
<tr class="separator:a99e8526fed0e88d9f553767ef30860df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56425e29545c1c169c7efd76e6bf411c"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a> () const </td></tr>
<tr class="separator:a56425e29545c1c169c7efd76e6bf411c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed93eb0b1e3fcb88843f6c5606d55621"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a> () const </td></tr>
<tr class="separator:aed93eb0b1e3fcb88843f6c5606d55621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676359ed59bf5091126fd96e1a04cafa"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a> (int inSpeed)</td></tr>
<tr class="separator:a676359ed59bf5091126fd96e1a04cafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a8f66d81dd6a422868b1368845e23"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a> () const </td></tr>
<tr class="separator:a365a8f66d81dd6a422868b1368845e23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879a1cf8248f8c34b28f4125beb91a2d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a> () const </td></tr>
<tr class="separator:a879a1cf8248f8c34b28f4125beb91a2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3546799f364d76e7a15415566a3b0c0d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a> () const </td></tr>
<tr class="separator:a3546799f364d76e7a15415566a3b0c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef667cb477268c60f098300e139530ba"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aef667cb477268c60f098300e139530ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab681b4f2e4bb26a31d80308a04e348f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aab681b4f2e4bb26a31d80308a04e348f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6af50e48788eedf1a4a95122082643"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">MoveLeftDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:a8a6af50e48788eedf1a4a95122082643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78e0a5b72fc16c1240cecb5d6fe2f7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">MoveRightDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:ac78e0a5b72fc16c1240cecb5d6fe2f7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2372de3e7c26ba23f5977658c71888b7"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2372de3e7c26ba23f5977658c71888b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63cfeea67bec1eab18758d74cd435c00"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a> ()</td></tr>
<tr class="separator:a63cfeea67bec1eab18758d74cd435c00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960a487c2833fc23e9285a7615f41379"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">MovePosition</a> (unsigned long inDuration, int inEndPosition)</td></tr>
<tr class="separator:a960a487c2833fc23e9285a7615f41379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807af3bdcf2f4bba25d4dd318601001c"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">GetPosition</a> ()</td></tr>
<tr class="separator:a807af3bdcf2f4bba25d4dd318601001c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a87373fe4ced21a4bcc61a0d66153f754"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a> (int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a87373fe4ced21a4bcc61a0d66153f754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c7ecf52b369e61dcc1353b81532bf5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a> (int inPin, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:ad5c7ecf52b369e61dcc1353b81532bf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d01bcb7d500d5bc3d18c7665123c942"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a> (int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a8d01bcb7d500d5bc3d18c7665123c942"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ad7ef0d65cab5721a7e2d9b2a71663eef"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td></tr>
<tr class="separator:ad7ef0d65cab5721a7e2d9b2a71663eef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71ca654c312fdec59194e393411fce0"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td></tr>
<tr class="separator:ad71ca654c312fdec59194e393411fce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a53f78f0221c753527a92cb9cb0f68f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td></tr>
<tr class="separator:a8a53f78f0221c753527a92cb9cb0f68f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A port is the way for an accessory to get current for power source. The port gives an interface by pins to allow the power source to distribute or not its current.</p>
<p>A port can drive ANALOG or DIGITAL pins, with an inverted way by using the pull-up resistor of the pins. Internally, an activated pin has always a state of HIGH. The <a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue()</a> function will convert physical states to logical -library- states:</p>
<table class="doxtable">
<tr>
<th>pin type </th><th>physical state </th><th>logical/analog state after <a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a>  </th></tr>
<tr>
<td>DIGITAL </td><td>HIGH </td><td>HIGH </td></tr>
<tr>
<td>DIGITAL </td><td>LOW </td><td>LOW </td></tr>
<tr>
<td>DIGITAL_INVERTED </td><td>HIGH </td><td>LOW </td></tr>
<tr>
<td>DIGITAL_INVERTED </td><td>LOW </td><td>HIGH </td></tr>
<tr>
<td>ANALOG </td><td>255 </td><td>255 </td></tr>
<tr>
<td>ANALOG </td><td>0 </td><td>0 </td></tr>
<tr>
<td>ANALOG_INVERTED </td><td>255 </td><td>0 </td></tr>
<tr>
<td>ANALOG_INVERTED </td><td>0 </td><td>255 </td></tr>
</table>
<p>A port have a current state : left, right or stop, and a speed giving the amount of voltage used on the pins.</p>
<p>This is a base class for all kind of ports, DO NOT INSTANCIATE IT ! </p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00061">61</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2cfb70a4b6d730e715042d646ec1d960"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Port::Port </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00049">49</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a110847fdec661d0e94a3a22edd9fe32a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance. </p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00099">99</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a101241b7b8e820f3d0da3c435ad1b66e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::beginByAccessory </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inStartingPosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance. Variant with a starting position. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inStartingPosition</td><td>Starting position. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>The accessory will move to its starting position, it is not only a way to set internal data... </dd></dl>

<p>Reimplemented in <a class="el" href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">PortServo</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00105">105</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ad5c7ecf52b369e61dcc1353b81532bf5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Port::beginPin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em> = <code>UNDEFINED</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialize the instance of the pin. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin</td><td>pin to initialize. </td></tr>
    <tr><td class="paramname">inType</td><td>pin type </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Arduino pin number in analog mode, or DIO2 pin number for a digital pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00074">74</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a99e8526fed0e88d9f553767ef30860df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PIN_TYPE Port::GetPinType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the pin type of the port. </p><dl class="section return"><dt>Returns</dt><dd>pin type of the port. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00110">110</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a807af3bdcf2f4bba25d4dd318601001c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Port::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current position of the port. </p><dl class="section return"><dt>Returns</dt><dd>Current position of the port. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function is only available on relevant accessories, like stepper or servo. </dd></dl>

<p>Reimplemented in <a class="el" href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">PortStepper</a>, and <a class="el" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">PortServo</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00178">178</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aed93eb0b1e3fcb88843f6c5606d55621"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Port::GetSpeed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current speed of the port. </p><dl class="section return"><dt>Returns</dt><dd>current speed of the port. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>Speed is only available on ANALOG or ANALOG_INVERTED type of pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00119">119</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a56425e29545c1c169c7efd76e6bf411c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PORT_STATE Port::GetState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the current state of the port. </p><dl class="section return"><dt>Returns</dt><dd>current state of the port. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00114">114</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a365a8f66d81dd6a422868b1368845e23"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Port::IsLeftDir </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the current state of the port is PORT_LEFT. </p><dl class="section return"><dt>Returns</dt><dd>true if the current state of the port is PORT_LEFT. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00130">130</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a879a1cf8248f8c34b28f4125beb91a2d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Port::IsRightDir </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the current state of the port is PORT_RIGHT. </p><dl class="section return"><dt>Returns</dt><dd>true if the current state of the port is PORT_RIGHT. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00134">134</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a3546799f364d76e7a15415566a3b0c0d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Port::IsStopped </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the current state of the port is PORT_STOP. </p><dl class="section return"><dt>Returns</dt><dd>true if the current state of the port is PORT_STOP. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00138">138</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a87373fe4ced21a4bcc61a0d66153f754"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Port::MapValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em> = <code>UNDEFINED</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Maps the given value to the kind of pin, inverted or not. According to the INVERTED flag or not, activated pin can be LOW or HIGH for the Arduino... The goal of this function is to assure that an activated pin is always HIGH for the library. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inValue</td><td>physical state of the pin : HIGH or LOW. </td></tr>
    <tr><td class="paramname">inType</td><td>if UNDEFINED, the pin type is this-&gt;<a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>, but if necessary the type (for this function only) can be forced to be inType. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Logical pin state. HIGH or LOW for digital pin, LOW or HIGH for digit inverted pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00056">56</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="aef667cb477268c60f098300e139530ba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::MoveLeftDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_LEFT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classPortSpeedDirBrake.html#aa4f1de14adaac3149e05b039e9583118">PortSpeedDirBrake</a>, <a class="el" href="classPortTwoPins.html#a00dcd15ca6b74360c7858141bf4a30c7">PortTwoPins</a>, <a class="el" href="classPortShieldL293d.html#a7c231e381f75d1a84e0673f3d6977d9e">PortShieldL293d</a>, <a class="el" href="classPortOnePin.html#ab06a6c175990e9c7cda63a73e28b441c">PortOnePin</a>, and <a class="el" href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">PortTwoPinsEnable</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00143">143</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8a6af50e48788eedf1a4a95122082643"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Port::MoveLeftDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inSpeed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_LEFT for a given duration, at the given speed. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
    <tr><td class="paramname">inSpeed</td><td>the pins will be activated with the given speed. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function does not change the current speed of the port. Speed is only available on ANALOG or ANALOG_INVERTED type of pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00129">129</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8d01bcb7d500d5bc3d18c7665123c942"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Port::MovePin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em> = <code>UNDEFINED</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the pin in a particular state. <a class="el" href="classAccessories.html">Accessories</a> are not influenced by this change. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPin</td><td>pin to update. </td></tr>
    <tr><td class="paramname">inValue</td><td>new value to reach. </td></tr>
    <tr><td class="paramname">inType</td><td>if UNDEFINED, the pin type is this-&gt;<a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>, but if necessary the type (for this function only) can be forced to be inType. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00092">92</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a960a487c2833fc23e9285a7615f41379"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::MovePosition </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEndPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Move the port to the given position using a given duration. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the movement should take the time of this delay. </td></tr>
    <tr><td class="paramname">inEndPosition</td><td>final position to reach. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function is only available on relevant accessories, like stepper or servo. </dd></dl>

<p>Reimplemented in <a class="el" href="classPortStepper.html#a1eea1361734ec9cbbaf6238982f92d65">PortStepper</a>, and <a class="el" href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">PortServo</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00173">173</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aab681b4f2e4bb26a31d80308a04e348f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::MoveRightDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_RIGHT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to right for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classPortSpeedDirBrake.html#a7d5432a050febe89a4bf12e237f5114a">PortSpeedDirBrake</a>, <a class="el" href="classPortTwoPins.html#add98e4c101e2d90bb39fb348ae312eac">PortTwoPins</a>, <a class="el" href="classPortShieldL293d.html#a29b413302c9e902382445bad17651ec3">PortShieldL293d</a>, <a class="el" href="classPortOnePin.html#a64d26c764c94963047e1b2373ba3c130">PortOnePin</a>, and <a class="el" href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">PortTwoPinsEnable</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00147">147</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac78e0a5b72fc16c1240cecb5d6fe2f7f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Port::MoveRightDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inSpeed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_RIGHT for a given duration, at the given speed. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
    <tr><td class="paramname">inSpeed</td><td>the pins will be activated with the given speed. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>This function does not change the current speed of the port. Speed is only available on ANALOG or ANALOG_INVERTED type of pin. </dd></dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00139">139</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a63cfeea67bec1eab18758d74cd435c00"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Port::MoveStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_STOP. </p>

<p>Reimplemented in <a class="el" href="classPortSpeedDirBrake.html#a5c1334617ccf28fff57b31bc74ad204b">PortSpeedDirBrake</a>, <a class="el" href="classPortTwoPins.html#a70b21b02f765b4344dbc5f913cba965f">PortTwoPins</a>, <a class="el" href="classPortShieldL293d.html#aba96b3fbfe12540c2c99a4a59cbac895">PortShieldL293d</a>, <a class="el" href="classPortOnePin.html#a774a82cb1e3efa521297bdffa9b5ed7b">PortOnePin</a>, and <a class="el" href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">PortTwoPinsEnable</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00167">167</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a2372de3e7c26ba23f5977658c71888b7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PORT_STATE Port::MoveToggle </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_LEFT or PORT_RIGHT according to its current state for a given duration. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00115">115</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a676359ed59bf5091126fd96e1a04cafa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Port::SetSpeed </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inSpeed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current speed of the port. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inSpeed</td><td>new current speed of the port. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Previous speed. </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>Speed is only available on ANALOG or ANALOG_INVERTED type of pin. </dd></dl>

<p>Reimplemented in <a class="el" href="classPortOnePin.html#a58109bb13f5fe5d3e0d56a394790e43d">PortOnePin</a>.</p>

<p class="definition">Definition at line <a class="el" href="Port_8cpp_source.html#l00108">108</a> of file <a class="el" href="Port_8cpp_source.html">Port.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ad7ef0d65cab5721a7e2d9b2a71663eef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PIN_TYPE Port::pinType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Kind of pin, analog or digital, inverted or not. </p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00065">65</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8a53f78f0221c753527a92cb9cb0f68f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Port::speed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Speed of the port. </p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00069">69</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ad71ca654c312fdec59194e393411fce0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PORT_STATE Port::state</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Current state of the port. </p>

<p class="definition">Definition at line <a class="el" href="Port_8hpp_source.html#l00067">67</a> of file <a class="el" href="Port_8hpp_source.html">Port.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="Port_8hpp_source.html">Port.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="Port_8cpp_source.html">Port.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classPort.html">Port</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
